import 'package:flutter/material.dart';
import 'package:transition_profile_app_bar/transition_profile_app_bar.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Transition Profile App Bar Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: 'Transition Profile App Bar Demo'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text(widget.title),
        ),
        body: CustomScrollView(slivers: <Widget>[
          TransitionProfileAppBar(
              backButton: IconButton(
                icon: Icon(
                  Icons.arrow_back,
                  color: Theme.of(context).textTheme.title.color,
                ),
                onPressed: () => Navigator.pop(context),
              ),
              title: Text(
                'Profile',
                style: Theme.of(context).textTheme.title,
              ),
              additionalInfoWidgetList: <Widget>[
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: Text(
                    'sub_heading1',
                    style: Theme.of(context).textTheme.subhead,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: Text(
                    'sub_heading2',
                    style: Theme.of(context).textTheme.subhead,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: Text(
                    'sub_heading3',
                    style: Theme.of(context).textTheme.subhead,
                  ),
                ),
              ]),
          SliverList(
            delegate: SliverChildListDelegate(
              <Widget>[
                Container(
                  height: 150,
                  color: Colors.yellow,
                ),
                Container(
                  height: 150,
                  color: Colors.green,
                ),
                Container(
                  height: 150,
                  color: Colors.red,
                ),
                Container(
                  height: 150,
                  color: Colors.indigo,
                ),
                Container(
                  height: 150,
                  color: Colors.pink,
                ),
                Container(
                  height: 150,
                  color: Colors.deepPurple,
                ),
                Container(
                  height: 150,
                  color: Colors.blue,
                ),
              ],
            ),
          )
        ]));
  }
}
